Subject: Re: [PATCH] IPv6 IPComp

From: Mitsuru KANDA / 神田 充<[email-masked]>
Date: Sat, 17 May 2003 02:59:30 +0900

At Fri, 16 May 2003 23:40:18 +1000 (EST),
James Morris <[email-masked]> wrote:
...
> > Attached diff is for linux-2.5.69 + CS1.1137 .
> > 
> > Could you check it?
> > 
> 
> Looks good!
Thank you!

> A few issues:
> 
> The crypto/Kconfig file needs to be updated so that the deflate module is 
> enabled when ipcomp6 is.
OK, I will send a small patch after this ipcomp6 patch is committed.

> In a subsequent patch, it would be good to define single NIP6() in a 
> header file, as local versions are spreading.
Yes, this is a next issue for me.
I have a plan to do various small cleanups w/r AH6/ESP6/IPComp6...

> With current bk, you need to attach internal ipip xfrms to allow reception
> of uncompressed ipcomp packets in tunnel mode.  See the current ipv4
> ipcomp code as an example.  Any generic code for this should probably live
> in net/xfrm/xfrm_tunnel.c
I think so,
but it may take a time because currently ip6ip6 does not exist.

Regards,
-mk